You are not logged in.

#101 2016-08-17 20:57:42

Xyne
Administrator/PM
Registered: 2008-08-03
Posts: 6,924
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

SolarAquarion wrote:

the lack of a pkgbuild is what annoys me

Downloading and running one script from that directory is simpler (imo) than installing multiple testing packages that will conflict with the current official releases. That said, there is nothing stopping anyone from making a PKGBUILD. The archive will remain unversioned but the URL is constant. If you or someone else wants to make that happen then I can include the various setup.py scripts in the testing archive.

Really I just need to get around to releasing it but real life is far more pressing right now. Sorry for the delay.


My Arch Linux StuffForum EtiquetteCommunity Ethos - Arch is not for everyone

Offline

#102 2016-09-18 19:08:41

ayushjsh
Member
Registered: 2013-03-21
Posts: 8

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

I came across this error and I am not sure what it is about. When searching for a package I found this weird error :

When I searched for emacs using

$bb-wrapper -Ss emacs

everything worked as expected and a list of packages was presented.
On the other hand when I tried to search for a package

$bb-wrapper -Ss wzb

I got this error

Traceback (most recent call last):
  File "/usr/lib/python3.5/runpy.py", line 184, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.5/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 1124, in <module>
    run_main()
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 1107, in run_main
    return main(args)
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 1070, in main
    return bb.display_sync_search()
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 857, in display_sync_search
    found = AUR.AurPkg.AurPkgSet(self.powerpill.pm2ml.aur.search(term))
  File "/usr/lib/python3.5/site-packages/AUR/AurPkg.py", line 35, in __init__
    super(self.__class__, self).__init__(accessors, pkgs=pkgs)
  File "/usr/lib/python3.5/site-packages/XCPF/ArchPkg.py", line 44, in __init__
    for pkg in pkgs:
  File "/usr/lib/python3.5/site-packages/AUR/RPC.py", line 376, in get
    for pkg in self._get(*args, **kwargs):
  File "/usr/lib/python3.5/site-packages/AUR/RPC.py", line 438, in _get
    for pkg in json.loads(results):
  File "/usr/lib/python3.5/json/__init__.py", line 312, in loads
    s.__class__.__name__))
TypeError: the JSON object must be str, not 'NoneType'

Offline

#103 2016-09-18 21:03:06

Xyne
Administrator/PM
Registered: 2008-08-03
Posts: 6,924
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

I noticed this today too. The results format of the RPC interface has changed. I will upload a fix shortly (python3-aur).


My Arch Linux StuffForum EtiquetteCommunity Ethos - Arch is not for everyone

Offline

#104 2016-09-19 07:07:29

Alad
Wiki Admin/IRC Op
From: Bagelstan
Registered: 2014-05-04
Posts: 2,360
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

Xyne wrote:
SolarAquarion wrote:

the lack of a pkgbuild is what annoys me

Downloading and running one script from that directory is simpler (imo) than installing multiple testing packages that will conflict with the current official releases. That said, there is nothing stopping anyone from making a PKGBUILD. The archive will remain unversioned but the URL is constant. If you or someone else wants to make that happen then I can include the various setup.py scripts in the testing archive.

Really I just need to get around to releasing it but real life is far more pressing right now. Sorry for the delay.

Not sure to mention it here or in the other thread, but is the goal to eventually have powerpill & co. in a single package (as now with the pacboy archive), or to keep them separated? For former, adding a bunch of provides/conflicts should do the trick.

And yes, some setup files would come in handy. wink

Last edited by Alad (2016-09-19 07:07:44)


Mods are just community members who have the occasionally necessary option to move threads around and edit posts. -- Trilby

Offline

#105 2016-09-23 01:00:38

Xyne
Administrator/PM
Registered: 2008-08-03
Posts: 6,924
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

Ultimately powerpill and bauerbill can be merged into pacboy but I'll keep them as separate packages at first. The new powerpill package is just a wrapper script around a custom pacboy configuration option. The new bauerbill package is a bit more complex to remain mostly backwards-compatible. The ultimate goal will be to just pacboy with aliases for different configuration files.

No time for the setup files right now. When I do finally get some free time I'm going to re-organize my release process and try to set up a proper testing repo.

My TODO list continues to grow hmm


My Arch Linux StuffForum EtiquetteCommunity Ethos - Arch is not for everyone

Offline

#106 2016-10-08 12:42:49

SolarAquarion
Member
Registered: 2014-05-18
Posts: 92

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

solaraquarion@apollo   ~/build  ./build.sh              1733  08:41:30
~/build/mp ~/build
makepkg: invalid option '--pkg'

Offline

#107 2016-10-08 13:40:02

Xyne
Administrator/PM
Registered: 2008-08-03
Posts: 6,924
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

SolarAquarion wrote:

makepkg: invalid option '--pkg'

The default configuration file uses a patched version of makepkg (makepkgx) that restores the old "--pkg" option. You seem to have changed that. Either restore "makepkgx" or modify the command to work around the "--pkg" option.


My Arch Linux StuffForum EtiquetteCommunity Ethos - Arch is not for everyone

Offline

#108 2016-10-08 23:51:01

SolarAquarion
Member
Registered: 2014-05-18
Posts: 92

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

# Maintainer(s): stef204
# Last modified: 2016-10-08 06:45:43 EDT
# Repository: AUR
# Package Base: mp
pushd mp
/usr/bin/bb-query_trust -l . AUR/mp 1475923543 stef204 || exit 1
makepkgx -irs --pconfig /etc/pacman.conf --pkg mp
pacman --config /etc/pacman.conf -T mp || exit 1
popd

Offline

#109 2016-10-09 00:36:35

Xyne
Administrator/PM
Registered: 2008-08-03
Posts: 6,924
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

It should be fixed in bauerbill-2016.10.9. Thanks for reporting the error.


My Arch Linux StuffForum EtiquetteCommunity Ethos - Arch is not for everyone

Offline

#110 2016-11-07 01:56:50

steventheevilz
Member
Registered: 2016-11-07
Posts: 7

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

I am trying to build linux-grsec using ABS

I ran

$ pacaur --build -S linux-grsec

and got

Traceback (most recent call last):
  File "/usr/lib/python3.5/runpy.py", line 184, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.5/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 1124, in <module>
    run_main()
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 1107, in run_main
    return main(args)
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 1078, in main
    sync_pkgs, sync_deps, build_pkgs, build_deps = bb.get_sync_and_build_targets()
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 569, in get_sync_and_build_targets
    build_pkgs |= self.powerpill.pm2ml.buildable_pkgs(sync_pkgs)
  File "/usr/lib/python3.5/site-packages/XCPF/ArchPkg.py", line 140, in __ior__
    self.pkgs.update(other.pkgs)
AttributeError: 'generator' object has no attribute 'pkgs'

Help plz.

Offline

#111 2016-11-09 14:17:20

steventheevilz
Member
Registered: 2016-11-07
Posts: 7

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

Oh whoops, forgot to mention that I have 'pacaur' aliased to 'bb-wrapper --aur'

Offline

#112 2016-11-09 14:59:24

SanskritFritz
Member
From: Budapest, Hungary
Registered: 2009-01-08
Posts: 1,909
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

steventheevilz wrote:

Oh whoops, forgot to mention that I have 'pacaur' aliased to 'bb-wrapper --aur'

Wrong thread?

UPDATE. Sorry, I was too quick to judge.

Last edited by SanskritFritz (2016-11-09 15:50:50)


zʇıɹɟʇıɹʞsuɐs AUR || Cycling in Budapest with a helmet camera || Revised log levels proposal: "FYI" "WTF" and "OMG" (John Barnette)

Offline

#113 2016-11-09 15:03:57

Alad
Wiki Admin/IRC Op
From: Bagelstan
Registered: 2014-05-04
Posts: 2,360
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

You might want to reread the posts above yours.

Last edited by Alad (2016-11-09 15:04:10)


Mods are just community members who have the occasionally necessary option to move threads around and edit posts. -- Trilby

Offline

#114 2016-11-11 01:40:13

Xyne
Administrator/PM
Registered: 2008-08-03
Posts: 6,924
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

@steventheevilz
It should be fixed with

  • bauerbill 2016.11-1

  • python3-xcpf 2016.11-1

Please update and try again.


My Arch Linux StuffForum EtiquetteCommunity Ethos - Arch is not for everyone

Offline

#115 2016-12-09 15:11:50

SolarAquarion
Member
Registered: 2014-05-18
Posts: 92

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

https://paste.debian.net/901414/ i have issues with bauerbill

Offline

#116 2016-12-23 14:19:58

Xyne
Administrator/PM
Registered: 2008-08-03
Posts: 6,924
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

SolarAquarion wrote:

https://paste.debian.net/901414/ i have issues with bauerbill

Sorry, I didn't see this before. The paste has expired. If you are still having the issue, can you repost it? Use code tags and post the output directly in the thread here.


My Arch Linux StuffForum EtiquetteCommunity Ethos - Arch is not for everyone

Offline

#117 2016-12-27 16:30:50

SolarAquarion
Member
Registered: 2014-05-18
Posts: 92

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

solaraquarion@apollo   ~  sudo bauerbill -Su --aur --build-vcs                                                                                                    1 ↵  2435  11:30:39 
Traceback (most recent call last):
  File "/usr/lib/python3.5/runpy.py", line 184, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.5/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 1133, in <module>
    run_main()
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 1116, in run_main
    return main(args)
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 1087, in main
    sync_pkgs, sync_deps, build_pkgs, build_deps = bb.get_sync_and_build_targets()
  File "/usr/lib/python3.5/site-packages/Bauerbill.py", line 534, in get_sync_and_build_targets
    pm2ml_pargs,
  File "/usr/lib/python3.5/site-packages/pm2ml.py", line 595, in resolve_targets_from_arguments
    only_needed=pargs.needed,
  File "/usr/lib/python3.5/site-packages/pm2ml.py", line 537, in resolve_targets
    ignoredgroups=ignoredgroups,
  File "/usr/lib/python3.5/site-packages/pm2ml.py", line 441, in resolve_aur_dependencies
    deps = set(iterate(self.buildable_pkgs(pkgs)))
  File "/usr/lib/python3.5/site-packages/pm2ml.py", line 411, in iterate_over_all_uninstalled_deps
    for d in iterate_over_all_deps(pkgs):
  File "/usr/lib/python3.5/site-packages/pm2ml.py", line 105, in iterate_over_all_deps
    for d in pkg.alldeps():
  File "/usr/lib/python3.5/site-packages/XCPF/ArchPkg.py", line 363, in alldeps
    for d in self.deps():
  File "/usr/lib/python3.5/site-packages/AUR/AurPkg.py", line 112, in with_arch_deps
    srcinfo = self.get_srcinfo()
  File "/usr/lib/python3.5/site-packages/AUR/AurPkg.py", line 76, in get_srcinfo
    for si in self.asi.get_pkginfo(pkgbases_and_pkgnames):
  File "/usr/lib/python3.5/site-packages/AUR/SRCINFO.py", line 203, in get_pkginfo
    for pkgname, srcinfo in zip(pkgnames, self.get(pkgbases)):
  File "/usr/lib/python3.5/site-packages/AUR/SRCINFO.py", line 191, in get
    yield parse_srcinfo(srcinfo.split('\n'))
  File "/usr/lib/python3.5/site-packages/AUR/SRCINFO.py", line 89, in parse_srcinfo
    k, v = stripped_line.split(' = ', 1)
ValueError: not enough values to unpack (expected 2, got 1) 

Offline

#118 2016-12-30 00:35:31

Xyne
Administrator/PM
Registered: 2008-08-03
Posts: 6,924
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

Please update to python3-aur-2016.12-1 and try again.

Which package/SRCINFO file caused the error? I would like to check if the SRCINFO file is malformed.


My Arch Linux StuffForum EtiquetteCommunity Ethos - Arch is not for everyone

Offline

#119 2016-12-30 21:38:19

SanskritFritz
Member
From: Budapest, Hungary
Registered: 2009-01-08
Posts: 1,909
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

bb-wrapper complains if there is no sudo installed. However, ./build.sh gives a warning and happily uses su. Could you please modify bb-wrapper to use su if sudo is not present?

root@HomeC ~# bb-wrapper -Su --aur
/usr/bin/bb-wrapper: line 47: sudo: command not found

UPDATE: Reading your answer below makes me delighted, thank you. And oh pacboy sounds very promising!

Last edited by SanskritFritz (2016-12-31 11:18:28)


zʇıɹɟʇıɹʞsuɐs AUR || Cycling in Budapest with a helmet camera || Revised log levels proposal: "FYI" "WTF" and "OMG" (John Barnette)

Offline

#120 2016-12-30 22:24:45

Xyne
Administrator/PM
Registered: 2008-08-03
Posts: 6,924
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

I'll update the script to default to sudo after I release the Pacboy backend. I may do that tonight. In any case, I have added it to my todo list.


My Arch Linux StuffForum EtiquetteCommunity Ethos - Arch is not for everyone

Offline

#121 2017-01-01 19:02:38

SolarAquarion
Member
Registered: 2014-05-18
Posts: 92

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 427, in db_clean
    c.execute('VACUUM')
sqlite3.OperationalError: cannot VACUUM from within a transaction

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.6/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/usr/lib/python3.6/site-packages/Bauerbill.py", line 1133, in <module>
    run_main()
  File "/usr/lib/python3.6/site-packages/Bauerbill.py", line 1116, in run_main
    return main(args)
  File "/usr/lib/python3.6/site-packages/Bauerbill.py", line 1050, in main
    bb = Bauerbill(pargs)
  File "/usr/lib/python3.6/site-packages/Bauerbill.py", line 449, in __init__
    ttl=data_ttl
  File "/usr/lib/python3.6/site-packages/Powerpill.py", line 487, in __init__
    self.pm2ml = pm2ml.Pm2ml(pm2ml_pargs, pacman_conf=self.pacman_conf)
  File "/usr/lib/python3.6/site-packages/pm2ml.py", line 147, in __init__
    aur = AUR.RPC.AurRpc()
  File "/usr/lib/python3.6/site-packages/AUR/RPC.py", line 359, in __init__
    mdb.db_initialize()
  File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 176, in db_initialize
    self.db_clean()
  File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 430, in db_clean
    raise MDBError('cleaning failed', error=e)
MemoizeDB.MDBError: MDBError: cleaning failed [cannot VACUUM from within a transaction]

Offline

#122 2017-01-05 22:38:51

Xyne
Administrator/PM
Registered: 2008-08-03
Posts: 6,924
Website

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

Those errors should be fixed with the last update.


My Arch Linux StuffForum EtiquetteCommunity Ethos - Arch is not for everyone

Offline

#123 2017-01-07 11:33:09

OJaksch
Member
From: Germany
Registered: 2016-02-23
Posts: 15

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

I have a problem on one of my arch boxes. If I run yaourt I get

yaourt -Syua

01/07 11:37:48 [NOTICE] Downloading 1 item(s)

01/07 11:37:48 [NOTICE] GID#99d4d17e91ff9a74 - Übertragung wurde bereits vervollständigt: /var/lib/pacman/sync/archlinuxfr.db

01/07 11:37:48 [NOTICE] Übertragung vollständig: /var/lib/pacman/sync/archlinuxfr.db

Übertragungsergebnisse:
gid   |stat|avg speed  |path/URI
======+====+===========+=======================================================
99d4d1|OK  |       0B/s|/var/lib/pacman/sync/archlinuxfr.db

Statuserläuterung:
(OK):Herunterladen abgeschlossen.
receiving incremental file list
community.db
      3,833,548 100%   11.32MB/s    0:00:00 (xfr#1, to-chk=3/4)
 Fremde Pakete:- 86 / 86
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 410, in db_clean
    deleted = c.execute(query, (arg,)).rowcount
sqlite3.OperationalError: attempt to write a readonly database

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.6/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/usr/lib/python3.6/site-packages/Bauerbill.py", line 1133, in <module>
    run_main()
  File "/usr/lib/python3.6/site-packages/Bauerbill.py", line 1116, in run_main
    return main(args)
  File "/usr/lib/python3.6/site-packages/Bauerbill.py", line 1050, in main
    bb = Bauerbill(pargs)
  File "/usr/lib/python3.6/site-packages/Bauerbill.py", line 449, in __init__
    ttl=data_ttl
  File "/usr/lib/python3.6/site-packages/Powerpill.py", line 487, in __init__
    self.pm2ml = pm2ml.Pm2ml(pm2ml_pargs, pacman_conf=self.pacman_conf)
  File "/usr/lib/python3.6/site-packages/pm2ml.py", line 147, in __init__
    aur = AUR.RPC.AurRpc()
  File "/usr/lib/python3.6/site-packages/AUR/RPC.py", line 362, in __init__
    mdb.db_initialize()
  File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 177, in db_initialize
    self.db_clean()
  File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 431, in db_clean
    raise MDBError('cleaning failed', error=e)
MemoizeDB.MDBError: MDBError: cleaning failed [attempt to write a readonly database]

/etc/yaourtrc:
PACMAN="bauerbill"

All other arch boxes are more or less identical and still working fine since months, but I can't find this issue at this only installation.

Offline

#124 2017-01-07 11:48:02

runical
Member
From: The Netherlands
Registered: 2012-03-03
Posts: 896

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

Bauerbill most likely needs a rebuild because of the recent update to python 3.6. Try rebuilding the package (and all other python 3 packages)

Offline

#125 2017-01-07 12:03:14

OJaksch
Member
From: Germany
Registered: 2016-02-23
Posts: 15

Re: Bauerbill reborn: pacman/powerpill+AUR+ABS+configurability

runical wrote:

Bauerbill most likely needs a rebuild because of the recent update to python 3.6. Try rebuilding the package (and all other python 3 packages)

Thanks, but I did this already, no luck.
In fact, on this box bauerbill worked for some time months ago and stopped working from one to the other day. I ignored this and used to use plain yaourt furthermore, until I've time to lift my ass to fix this. This was the case when the upgrades to python-3.6 and the new bauerbill etc packages appeared.

Offline

Board footer

Powered by FluxBB